<ion-header class="ion-no-border">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="home"></ion-back-button>
    </ion-buttons>
    <ion-title class="ion-padding eh-txt-16"> Previous Appointment</ion-title>
    < <ion-buttons slot="end">
      >
      <app-profile-avatar></app-profile-avatar>
      </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content class="eh-px-10" *ngIf="dispatchView; else dataAwaitedBlk">
  <div class="eh-h-100p" fxLayout="column">
    <div class="eh-ofy-auto eh-hide-scrollbars">
      <div class="eh-ofy-scroll eh-hide-scrollbars">
        <ng-container *ngIf="previousAppointments.length > 0; else noPreviousAppointmentsBlk">
          <div class="e-card2 e-card2--hover2" *ngFor="let appt of previousAppointments" class="eh-mt-16 eh-t-spacer">
            <app-appointment-doc [appointment]="appt" (onCancel)="onCancelClick($event)">
            </app-appointment-doc>
          </div>

        </ng-container>
      </div>
    </div>

  </div>
</ion-content>
<ng-template #noPreviousAppointmentsBlk>
  <div fxLayout="column" fxLayoutAlign="center center">
    <div class=" e-txt e-txt--placeholder">
      No Previous Appointments
    </div>
  </div>
</ng-template>
<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>